import unittest
from flask import Flask, json
from myapp import myapp


class MyTest(unittest.TestCase):
    """
        Class for Unitaire Test for SodeboSrvMetierLogin
    """
    def setUp(self):
        self.app = myapp.app
        self.app.testing = True

    def test_connection(self):
        with self.app.test_client() as c:
            rv = c.get('/mytime')
            self.assertEqual(rv.status_code , 200)

    def test_sum(self):
        with self.app.test_client() as c:
            rv = c.post('/sum', data=json.dumps({'value1':'10', 'value2':'12'}))
            self.assertEqual(json.loads(rv.data)['sum'] , 22)

if __name__ == '__main__':
    unittest.main()